#include <iostream>
#include <stdio.h>
#include <unistd.h>
#include <carver.h>
#include <generator.h>
#include <linklist.h>

extern int yylex();
extern FILE *yyin;

extern Linklist *treesort();

int main(int argc, char **argv) {

	if( argc > 0 )
		yyin = fopen(argv[1],"r");
	else
		yyin = stdin;

	yylex();

	Linklist *tree = treesort();

	fprintf(stderr,"tree of %i parents formed\n",tree->length);
	
	treegen( tree );

	exit(1);
}
 
